jQuery( document ).ready(function($) {
   'use strict';
    /**
	 * Pixabay Api Save 
	 */
	$(document).on('click','#imagebuzz_pixabay_api',function(e) {
        e.preventDefault();
        var pixabay_api = $('#pixabay_api').val();
		if(pixabay_api == ''){
		    $('.pixabay_api_message').html('<span style="color:red;">Please Enter Api Key</span>');
	    }else{
			var formdata ='pixabay_api='+pixabay_api;
				formdata += '&action=image_buzz_pixabay_api_save';
			$.ajax({
				url: image_buzz_ajax_path.url,
				type: 'POST',
				data : formdata, 
				success: function (response) {
					let res = JSON.parse(response);
					if(res.status==true){
						toastr.success(res.message);
						$('.pixabay_api_message').html('<span style="color:green;">'+res.message+'</span>');
					}else{
						toastr.error(res.message);
						$('.pixabay_api_message').html('<span style="color:red;">'+res.message+'</span>');
					}

				}
			});
	   }
	});
    
	/**
	 * Unsplash Api Save 
	 */
	$(document).on('click','#imagebuzz_unsplash_api',function(e) {
        e.preventDefault();
		var unsplash_api = $('#unsplash_api').val(); 
		if(unsplash_api == ''){
			$('.unsplash_api_message').html('<span style="color:red;">Please Enter Api Key</span>');
		}else{
			var formdata ='unsplash_api='+unsplash_api;
				formdata += '&action=image_buzz_unsplash_api_save';
			$.ajax({
				url: image_buzz_ajax_path.url,
				type: 'POST',
				data : formdata, 
				success: function (response) {
					let res = JSON.parse(response);
					if(res.status==true){
						toastr.success(res.message);
						$('.unsplash_api_message').html('<span style="color:green;">'+res.message+'</span>');
					}else{
						toastr.error(res.message);
						$('.unsplash_api_message').html('<span style="color:red;">'+res.message+'</span>');
					}
				}
			});
	   }
	});
	/**
	 * Pixels Api Save 
	 */ 
	$(document).on('click','#imagebuzz_pixels_api',function(e) {
		e.preventDefault();
        var pixels_api = $('#pixels_api').val();
		var unsplash_api = $('#unsplash_api').val(); 
		if(unsplash_api == ''){
			$('.pixels_api_message').html('<span style="color:red;">Please Enter Api Key</span>');
		}else{
			var formdata ='pixels_api='+pixels_api;
				formdata += '&action=image_buzz_pixels_api_save';
			$.ajax({
				url: image_buzz_ajax_path.url,
				type: 'POST',
				data : formdata, 
				success: function (response) {
					let res = JSON.parse(response);
					if(res.status==true){
						toastr.success(res.message);
						$('.pixels_api_message').html('<span style="color:green;">'+res.message+'</span>');
					}else{
						toastr.error(res.message);
						$('.pixels_api_message').html('<span style="color:red;">'+res.message+'</span>');
					}
				}
			});
		}

	});
	
	/**
	 * Pixels Api Save 
	 */ 
	$(document).on('click','#imagebuzz_openai_api',function(e) {
		e.preventDefault();
        var pixels_api = $('#openai_api').val();
		if(pixels_api == ''){
			$('.pixels_api_message').html('<span style="color:red;">Please Enter Api Key</span>');
		}else{
			var formdata ='openai_api='+pixels_api;
				formdata += '&action=image_buzz_openai_api_save';
			$.ajax({
				url: image_buzz_ajax_path.url,
				type: 'POST',
				data : formdata, 
				success: function (response) {
					let res = JSON.parse(response);
					if(res.status==true){
						toastr.success(res.message);
						$('.pixels_api_message').html('<span style="color:green;">'+res.message+'</span>');
					}else{
						toastr.error(res.message);
						$('.pixels_api_message').html('<span style="color:red;">'+res.message+'</span>');
					}
				}
			});
		}

	});
	
	/**
	 * Youtube Api Save 
	 */ 
	$(document).on('click','#imagebuzz_youtube',function(e) {
		e.preventDefault();
        var pixels_api = $('#ytc_api_values').val();
		if(pixels_api == ''){
			$('.youtube_api_message').html('<span style="color:red;">Please Enter Api Key</span>');
		}else{
			var formdata ='openai_api='+pixels_api;
				formdata += '&action=imagebuzz_youtube_save';
			$.ajax({
				url: image_buzz_ajax_path.url,
				type: 'POST',
				data : formdata, 
				success: function (response) {
					let res = JSON.parse(response);
					if(res.status==true){
						toastr.success(res.message);
						$('.youtube_api_message').html('<span style="color:green;">'+res.message+'</span>');
					}else{
						toastr.error(res.message);
						$('.youtube_api_message').html('<span style="color:red;">'+res.message+'</span>');
					}
				}
			});
		}

	});
	


	/**
	 * Image Buzz Api Clear
	 */
	$(document).on('click','.imagebuzz_api_clear',function(e) {
        let clear_api_type = $(this).attr('data-apiclear');
        var formdata ='clear_api_type='+clear_api_type;
			formdata += '&action=image_buzz_api_clear';
		$.ajax({
			url: image_buzz_ajax_path.url,
			type: 'POST',
			data : formdata, 
			success: function (response) {
				let res = JSON.parse(response);
				if(res.status==true){
					toastr.success(res.message);
					location.reload();
				}else{
					toastr.error(res.message);
				}
			}
		});
	});
   /**
    * Api Setting Tab
    */
    $('.buzz-tabs-nav li:first-child').addClass('active');
    $('.buzz-single-tab').hide();
    $('.buzz-single-tab:first').show();
    $('.buzz-tabs-nav li').click(function() {
        $('.buzz-tabs-nav li').removeClass('active');
        $(this).addClass('active');
        $('.buzz-single-tab').hide();
        var activeTab = $(this).find('a').attr('href');
        $(activeTab).fadeIn();
        return false;
    }); 

   /** 
    * Add Media Button 
    */ 
    var data_keys = $(this).parents('.imagebuzz-imported-data').find('.imagebuzz-category option:selected').attr('data-cat');
	if(data_keys == 'Uncategorized'){
		var data_keys = $(this).parents('.imagebuzz-imported-data').find('.post-title').val();
	}
	if(wp.media){
    var image_frame;
	if(image_frame){
		image_frame.open();
		return;
	}
    var l10n = wp.media.view.l10n;
	wp.media.view.MediaFrame.Select.prototype.browseRouter = function (
		routerView
	) {
		routerView.set({
			upload: {
				text: l10n.uploadFilesTitle,
				priority: 20,
			},
			browse: {
				text: l10n.mediaLibraryTitle,
				priority: 40,
			},
			my_tab: {
				text: "Image Buzz",
				priority: 60,
			},
		});
	};
	
	/**
	 * Image Buzz Open Modal Reload Page
	 */
	if(wp.media){
	    wp.media.view.Modal.prototype.on("open", function () {
	        if($("body").find(".media-modal-content").last().find(".media-router .media-menu-item.active").text() == "Image Buzz"){
				setTimeout(function () {
	               doMyTabContent();
				},1500);
            }  
            if($("body").find(".media-modal-content").last().find(".media-router .media-menu-item.active").text() == "Generator Image"){
    			$('.imagebuzz-loader').show();
    			var formdata ='data_keys='+data_keys;
    			formdata += '&action=image_buzz_api_images';
    			$.ajax({
    				type: 'post',
    				url: image_buzz_ajax_path.url, 
    				data: formdata,
    				success: function(response){
    					
    					$(".imagebuzz-loader").delay(800).fadeOut("slow");
    					$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
    					setTimeout(function () {
    						jQuery(".imagebuzz_media_wrapper").html(response);	
    						$(".imagebuzz-api-buttons a:first-child").addClass('active');
    						$(".imagebuzz-search-image").attr('value',data_keys);
    						$(".imagebuzz_api_buttons").attr('data-keys',data_keys);					 
    					}, 1000); 
    				}
    			});
    			localStorage.setItem('category', data_keys);
            }
	    });
	}
	
	/**
	 * Image Buzz Media Tab Active
	 */ 
	$(wp.media).on("click", ".media-router .media-menu-item", function (e) {
		$('.imagebuzz-loader').show();
		if(e.target.innerText == "Image Buzz") {
		  doMyTabContent();
		  
		  var data_keys = localStorage.getItem("category");
		  if(data_keys == 'undefined'){
            data_keys = 'Lion';
		  }
		  var formdata ='data_keys='+data_keys;
			formdata += '&action=image_buzz_api_images';
    		$.ajax({
    			type: 'post',
    			url: image_buzz_ajax_path.url, 
    			data: formdata,
    			success: function(response){ 
    				$(".imagebuzz-loader").delay(800).fadeOut("slow");
					$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
    				setTimeout(function () {
    					jQuery(".imagebuzz_media_wrapper").html(response);	
    					$(".imagebuzz-search-image").attr('value',data_keys);
    				}, 1000);
    			} 
    		});
		}; 
		
	});
	
	function doMyTabContent() {

		var html = '<div class="imagebuzz_media_wrapper"></div><div class="imagebuzz-loader" bis_skin_checked="1" style="display: none;"><div class="imagebuzz-loader-inner"><svg xmlns="http://www.w3.org/2000/svg" width="200px" height="200px" viewBox="0 0 100 100"><circle cx="50" cy="50" r="0" fill="none" stroke="#029E9D" stroke-width="2"><animate attributeName="r" repeatCount="indefinite" dur="0.78125s" values="0;35" keyTimes="0;1" keySplines="0 0.2 0.8 1" calcMode="spline" begin="0s"></animate><animate attributeName="opacity" repeatCount="indefinite" dur="0.78125s" values="1;0" keyTimes="0;1" keySplines="0.2 0 0.8 1" calcMode="spline" begin="0s"></animate></circle><circle cx="50" cy="50" r="0" fill="none" stroke="#029E9D" stroke-width="2"><animate attributeName="r" repeatCount="indefinite" dur="0.78125s" values="0;35" keyTimes="0;1" keySplines="0 0.2 0.8 1" calcMode="spline" begin="-0.390625s"></animate><animate attributeName="opacity" repeatCount="indefinite" dur="0.78125s" values="1;0" keyTimes="0;1" keySplines="0.2 0 0.8 1" calcMode="spline" begin="-0.390625s"></animate></circle></svg></div></div>';  
		
		jQuery("body .supports-drag-drop .media-frame-content").html(html);    	  		  
	}   
	  
	/**
	 * Api Add form action 
	 */
    $(document).on('click','.imagebuzz_api_buttons',function(e) {
		e.preventDefault();
		$('.imagebuzz-loader').show();
		var data_types = $(this).attr('data-types');
		var data_keys = $('.imagebuzz-search-image').val();
		var formdata ='data_types='+data_types+'&data_keys='+data_keys;
			formdata += '&action=image_buzz_button_images_load';
		$.ajax({
			url: image_buzz_ajax_path.url,
			type: 'POST',
			data : formdata, 
			success: function (response) {
				$(".imagebuzz-loader").delay(800).fadeOut("slow");
				$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
				setTimeout(() => {
					
					$('.imagebuzz-media-images-ajax').html(response);
					
				}, 1000);
			}
		});
		$('.imagebuzz_api_buttons').removeClass('active');
		$(this).addClass('active');
		$('#imagebuzz-images-loadmore').attr('data-keys',data_keys);
		$('#imagebuzz-images-loadmore').attr('data-types',data_types);
		$('#imagebuzz-images-loadmore').attr('data-page',1);
		localStorage.setItem('category', data_keys);
	});

    /**
	 * Images Load More Buttons
	 */ 
	$(document).on('click','#imagebuzz-images-loadmore',function(e) {
		e.preventDefault();
		$('.imagebuzz-loader').show();
		var data_keys = $(this).attr('data-keys');
		var data_types = $(this).attr('data-types');
		var data_page = $(this).attr('data-page');
		var formdata ='data_types='+data_types+'&data_keys='+data_keys+'&data_page='+data_page;
			formdata += '&action=image_buzz_button_images_load';

		$.ajax({
			url: image_buzz_ajax_path.url,
			type: 'POST',
			data : formdata, 
			success: function (response) {
				$(".imagebuzz-loader").delay(800).fadeOut("slow");
				$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
				setTimeout(() => {
				   $('.imagebuzz-media-images-ajax').append(response);
				}, 1000);
			}
		});
		var sun = parseInt(data_page)+1;
		$('.imagebuzz_api_buttons').attr('data-keys',data_keys);
		$('#imagebuzz-images-loadmore').attr('data-keys',data_keys);
		$('#imagebuzz-images-loadmore').attr('data-types',data_types);
		$('#imagebuzz-images-loadmore').attr('data-page',sun);  
	});
	  
    /**
	 * WP Media In Search Images
	 */
	$(document).on('click','.imagebuzz-image-find-name',function(e) {
		e.preventDefault();	
		$('.imagebuzz-loader').show();
		var data_keys = $(this).prev().val();
		var data_types = $('.imagebuzz-api-buttons .active').attr('data-types');
		var formdata ='data_types='+data_types+'&data_keys='+data_keys; 
			formdata += '&action=image_buzz_button_images_load'; 

		$.ajax({
			url: image_buzz_ajax_path.url, 
			type: 'POST',
			data : formdata, 
			success: function (response) {
				$('.imagebuzz-loader').css('display', 'flex');
				$(".imagebuzz-loader").delay(800).fadeOut("slow");
				$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
				setTimeout(() => {
					$('.imagebuzz-media-images-ajax').html(response);
				}, 1000);
			}
		});
		$('.imagebuzz_api_buttons').attr('data-keys',data_keys);
		$('#imagebuzz-images-loadmore').attr('data-keys',data_keys);
		$('#imagebuzz-images-loadmore').attr('data-types',data_types);
		$('#imagebuzz-images-loadmore').attr('data-page',1); 
		localStorage.setItem('category', data_keys);
	});

	/**
	 * Images Upload Media
	 */ 
	$(document).on('click','.imagebuzz-savemedia-image', function(event){
		event.preventDefault();	 
		$('.imagebuzz-loader').show();
        var image = $(this).attr('data-url');
        var title = $(this).attr('data-id'); 
	    var formdata ='image='+image+'&title='+title; 
			formdata += '&action=image_buzz_upload_save_media'; 
		$.ajax({
			url: image_buzz_ajax_path.url, 
			type: 'POST',
			data : formdata, 
			success: function (response) {
			    console.log(response);
				$('.imagebuzz-loader').css('display', 'flex');
				$(".imagebuzz-loader").delay(800).fadeOut("slow");
				$(".imagebuzz-loader-inner").delay(500).fadeOut("slow");
				var result = JSON.parse(response);						
                if(result.status == 'true'){
					var test = $("body").find(".media-modal-content").last().find(".media-router .media-menu-item.active").prev().click();
                    wp.media.frame.setState("insert");
                    if (wp.media.frame.content.get() !== null) {
                        wp.media.frame.content
                            .get()
                            .collection.props.set({ ignore: +new Date() });
                        let f = wp.media.frame.content.get().collection.select()[0];
                        wp.media.frame.content.get().options.selection.reset(f);
						toastr.success("Images has been saved in media library"); 
                    } else {
						toastr.warning("Images has been saved in media library, if you are not able to see them please reload media or do the hard refresh.");
						
						if(wp.media){  
							wp.media.frame.content.view._selection.attachments.props.set({ ignore: +new Date() });  
                        } 
                    } 
                    setTimeout(() => {
                        let sm = $(
                            ".media-frame-content .attachments-browser .attachments-wrapper ul"
                        )[0];
                        sm.children[0].click();
                    }, 1000);
                } else {
                    toastr["error"](result.msg);
				}
			}
		});
	}); 
	$(document).on('click','.ytc-hover-icon',function(e){
        e.preventDefault(); 
        let video_url = $(this).attr('data-videourl');
        $('#yt_post_video_url').attr('src',video_url);
    }); 
    /**
     * Modal JS 
     */
    $(function() {
        $(document).on('click','[open-modal]', function(){
            $('body').addClass("ytc-modal-open");
            var id = $(this).attr('open-modal');
            $('.ytc-custom-modal#'+id).addClass('active');
        });
        $(document).on('click','[ytc-close-modal]', function(){
            $('body').removeClass("ytc-modal-open");
            $(this).parents('.ytc-custom-modal').removeClass('active');
        });
        $(document).on('click','.ytc-custom-modal', function(e) {
            if(e.target !== this){return};
            $(this).removeClass('active');
            $('body').removeClass("ytc-modal-open");
        });
    });
	/**
     * Video Filters
     */
    $(document).on('submit','#yt_videos_filter',function(e){
        e.preventDefault();  
        let search_key_words = $('#yt_video_search').val();
        let search_languach = $('#sort_by_Language').val();
        $('.yt-preloader').css('display', 'flex'); 
        var formdata ='search_key_words='+search_key_words+'&search_languach='+search_languach; 
        formdata += '&action=image_buzz_videos_filters'; 
        $.ajax({  
            url: image_buzz_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                $('#yt_videos_data_loads').html(response);
            }  
        }); 
    });
	/**
	 * image buzz Videos Text Save in Post
     */   
    $(document).on('submit','#ytc_post_creat_data',function(e){
        e.preventDefault();  
        let post_title = $("#post_title").val();
        let ytc_video_id = $("#ytc_video_id").val();
        let post_tags = $("#post_tags").val();
        let post_status = $("#post_status").val();
        let include_thumbnail = $("#include_thumbnail").val();
        let include_video_post = $("#include_video_post").val();
        let post_categories = $("#post_categories").val();
        let mycustomeditor = $("#mycustomeditor").val();
        let thumb_image_url = $("#thumb_image_url").val(); 
        $('.yt-preloader').css('display', 'flex');  
        var formdata ='post_title='+post_title+'&ytc_video_id='+ytc_video_id+'&post_tags='+post_tags+'&post_status='+post_status+'&include_thumbnail='+include_thumbnail+'&include_video_post='+include_video_post+'&post_categories='+post_categories+'&mycustomeditor='+mycustomeditor+'&thumb_image_url='+thumb_image_url;   
        formdata += '&action=ytautocaptioncrafter_videos_saveinpost';  
        $.ajax({  
            url: image_buzz_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                let res_data = JSON.parse(response); 
                if(res_data.status=='success'){
                    toastr.success(res_data.msg); 
                    setTimeout(function(){
                         location.reload(); 
                        }, 1000); 
                }else{   
                    toastr.error(res_data.msg);
                }   
                 
                
            }  
        }); 
    });
	 /**
	 *  Videos Text Save in Post
     */   
    $(document).on('submit','#ytc_post_creat_data',function(e){
        e.preventDefault();  
        let post_title = $("#post_title").val();
        let ytc_video_id = $("#ytc_video_id").val();
        let post_tags = $("#post_tags").val();
        let post_status = $("#post_status").val();
        let include_thumbnail = $("#include_thumbnail").val();
        let include_video_post = $("#include_video_post").val();
        let post_categories = $("#post_categories").val();
        let mycustomeditor = $("#mycustomeditor").val();
        let thumb_image_url = $("#thumb_image_url").val(); 
        $('.yt-preloader').css('display', 'flex');  
        var formdata ='post_title='+post_title+'&ytc_video_id='+ytc_video_id+'&post_tags='+post_tags+'&post_status='+post_status+'&include_thumbnail='+include_thumbnail+'&include_video_post='+include_video_post+'&post_categories='+post_categories+'&mycustomeditor='+mycustomeditor+'&thumb_image_url='+thumb_image_url;   
        formdata += '&action=image_buzz_videos_saveinpost';  
        $.ajax({  
            url: image_buzz_ajax_path.url, 
            type: 'POST',
            data : formdata,  
            success: function (response) { 
                $(".yt-preloader").delay(800).fadeOut("slow");
                $(".yt-preloader").delay(500).fadeOut("slow"); 
                let res_data = JSON.parse(response); 
                if(res_data.status=='success'){
                    toastr.success(res_data.msg); 
                    setTimeout(function(){
                         location.reload(); 
                        }, 1000); 
                }else{   
                    toastr.error(res_data.msg);
                }   
                 
                
            }  
        }); 
    });
    
    
	/**
     * Dowenload Text in File Format
     */
    $(document).on('click','#ytc_content_dowenload',function(){
         $('.yt-preloader').css('display', 'flex'); 
         const link = document.createElement("a");
         const content = $('#mycustomeditor').val();
         const post_title = $("#post_title").val();
         const file = new Blob([content], { type: 'text/plain' });
         link.href = URL.createObjectURL(file);
         link.download = post_title+".txt";
         link.click();
         URL.revokeObjectURL(link.href);
         $(".yt-preloader").delay(800).fadeOut("slow");
         $(".yt-preloader").delay(500).fadeOut("slow"); 
         toastr.success('Download Successfully'); 
    });

 }

});
