<!-- Create Post SCREEN  -->
<div class="ytc-main-wrapper">
    <!-- Page Title -->
    <div class="ytc-title">
        <h4><?php echo esc_html__('Create Post', 'image-buzz'); ?></h4>
    </div>  
    <!--Page Content -->
    <div class="ytc-page-content has-two-col ytc-create-post-wrapper">
        <div class="ytc-page-innner">
          <form id="ytc_post_creat_data" method="POST">
            <div class="ytc-post-generate-wrap">
                <div class="ytc-post-info">
                    <div class="ytc-create-post-aside">
                        <div class="ytc-input-wrapper">
                          <label class="mb-0"><?php echo esc_html__('Word Count','image-buzz'); ?></label>
                          <span><?php if(!empty($textcontent)): echo str_word_count($textcontent); else: echo esc_html__('0','image-buzz'); endif; ?></span>
                        </div>
                        <div class="ytc-video-preview">
                            <?php if(isset($ytdata['items'][0]['id'])): ?>
                            <div class="ytc-input-wrapper">
                                <label><?php echo esc_html__('Main Video','image-buzz'); ?></label>
                                <div class="ytc-thumb-box">
                                    <div class="ytc-thumb-video">
                                        <iframe src="<?php echo esc_url('https://www.youtube.com/embed/'.esc_attr($ytdata['items'][0]['id'])); ?>" title="<?php if(isset($ytdata['items'][0]['snippet']['title'])): echo esc_html($ytdata['items'][0]['snippet']['title']); endif; ?>" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                                    </div>
                                    <div class="ytc-thumb-content">
                                        <h4><?php echo esc_html__('Youtube video title will come here','image-buzz'); ?></h4>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?> 
                            <div class="ytc-preview-img-updae">
                                <div class="ytc-input-wrapper">
                                    <label><?php echo esc_html__('Video Preview Image','image-buzz'); ?></label>
                                    <div class="ytc-video-feat-img">
                                        <?php if(isset($ytdata['items'][0]['snippet']['thumbnails']['maxres']['url'])): ?>
                                        <img src="<?php echo esc_url($ytdata['items'][0]['snippet']['thumbnails']['maxres']['url']); ?>" alt="<?php echo esc_attr__('Post Images','image-buzz'); ?>" id="showUploadedImg">
                                           <input type="hidden" id="thumb_image_url" name="thumb_image_url" value="<?php echo esc_url($ytdata['items'][0]['snippet']['thumbnails']['maxres']['url']); ?>">
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ytc-post-details">
                    <div class="ytc-form-wrap ">
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Post Title','image-buzz'); ?></label>
                            <input type="text" id="post_title" name="post_title" value="<?php if(isset($ytdata['items'][0]['snippet']['title'])): echo esc_html($ytdata['items'][0]['snippet']['title']); endif; ?>">
                            <input type="hidden" id="ytc_video_id" name="ytc_video_id" value="<?php if(isset($ytdata['items'][0]['id'])): echo esc_attr($ytdata['items'][0]['id']); endif; ?>">
                        </div>
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Post Tags','image-buzz'); ?></label>
                            <textarea name="post_tags" id="post_tags"><?php if(isset($ytdata['items'][0]['snippet']['tags'])):
                                foreach($ytdata['items'][0]['snippet']['tags'] as $tags):
                                echo esc_html__(",","image-buzz"). esc_html($tags); endforeach; endif; ?></textarea>
                        </div>
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Post Status','image-buzz'); ?></label>
                            <select id="post_status" name="post_status">
                                <option value="publish"><?php echo esc_html__('Public','image-buzz'); ?></option>
                                <option value="draft"><?php echo esc_html__('Private','image-buzz'); ?></option>
                            </select>
                        </div>
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Post Setting','image-buzz'); ?></label>
                            <div class="ytc-radio-btn">
                                <label for="include_thumbnail" class="ytc-radio">
                                    <input type="checkbox" id="include_thumbnail" name="include_thumbnail" value="<?php echo esc_attr__('addthumbnail','image-buzz'); ?>">
                                    <span><?php echo esc_html__(' Include thumbnail in posts','image-buzz'); ?></span>
                                </label>
                                <label for="include_video_post" class="ytc-radio">
                                    <input type="checkbox" id="include_video_post" name="ude_thumvideo_inclpost" value="<?php echo esc_attr__("addvideo","image-buzz"); ?>"> 
                                    <span><?php echo esc_html__(' Include video in posts','image-buzz'); ?>	</span>
                                </label>
                            </div>
                        </div>
                        <?php 
                        $categories = get_categories();
                        if(!empty($categories)):
                        ?>
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Categories','image-buzz'); ?></label>
                            <select id="post_categories" name="post_categories[]" multiple>
                                <?php 
                                foreach( $categories as $category ):
                                ?><option value="<?php echo $category->term_id; ?>"><?php echo esc_html($category->name); ?></option>
                                <?php 
                                endforeach;
                                ?>
                            </select>
                            <span id="tyc_notice"><?php echo esc_html__('If you want to choose multiple categories press shift with selection','image-buzz'); ?></span>
                        </div>
                        <?php 
                         endif;
                        ?>
                        <div class="ytc-input-wrapper">
                            <label><?php echo esc_html__('Post Content','image-buzz'); ?></label>
                            <div class="wysiwyg-editor">
                                <?php 
                                $editor_id = esc_attr__('mycustomeditor','image-buzz');
                                wp_editor($textcontent, $editor_id);
                                ?>
                            </div>
                        </div>
                        <div class="ytc-btn-wrap">
                            <button type="submit" name="ytc_content_save" id="ytc_content_save" class="ytc-btn">
                              <?php esc_html_e('Create Post', 'image-buzz'); ?>
                            </button>
                            <button type="buttom" name="ytc_content_dowenload" id="ytc_content_dowenload" class="ytc-btn">
                              <?php esc_html_e('Download Content', 'image-buzz'); ?>
                            </button> 
                        </div>
                    </div>
                </div>
            </div>
           </form>
        </div>
    </div>
</div>  
<div class="yt-preloader">
<img src="<?php echo esc_url(plugins_url('image-buzz/admin/images/yt-preloader.svg')); ?>" alt="<?php echo esc_attr__('Preloader','image-buzz'); ?>" />
</div>