<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://https://codecanyon.net/search/kamleshyadav
 * @since      1.0.0
 *
 * @package    Image_Buzz
 * @subpackage Image_Buzz/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 *
 * @package    Image_Buzz
 * @subpackage Image_Buzz/public
 * @author     Kamleshyadav <admin@pixelnx.com>
 */
class Image_Buzz_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

		add_shortcode( 'vid_image_buzz', array( $this,'image_buzz_img_generator' ) );
	    add_shortcode( 'footag', 'wpdocs_footag_func' );

	}
    public function wpdocs_footag_func( $atts ) {
    	return "foo = {$atts['foo']}";
    }
	public function image_buzz_img_generator($attr) {
	    return "test";
// 		$args = shortcode_atts( array(
// 			'template_id' => '',
// 		), $attr );
	
// 		ob_start();
// 		$template_id = $args['template_id'];
// 		$output = '';
		
// 		$args = array(
//             //"prompt" => $_POST['text'],
//             "prompt" => "cat",
//             "n"=>1,
//             "size"=>"1024x1024"
//         );                                                                
//         $data_string = json_encode($args);  
//         $ch = curl_init('https://api.openai.com/v1/images/generations');
//         curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");                                       
//         curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
//         curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);                         
//         curl_setopt($ch, CURLOPT_HTTPHEADER, array(
//         'Authorization: Bearer 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',
//         'Content-Type: application/json'
//         ));
//         $result = curl_exec($ch);
//         $a = json_decode($result,true);
//         /* print_r($a);
//         die(); */
//         if(isset($a['data'])){
//             $imgUrl = $a['data'][0]['url'];
//             echo '<img src="'.$imgUrl.'">';
//         }
//         else{
//             echo '<p>'.$a['error']['message'].'</p>';
//         }
// 		$output = ob_get_clean();
// 		return $output;
	}

}
